Bug 543981 - Content Provider sync status shows "IN PROGRESS" indefinitely, even after sync is apparently done.
Summary: Content Provider sync status shows "IN PROGRESS" indefinitely, even after syn...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: RHQ Project
Classification: Other
Component: Content
Version: unspecified
Hardware: All
OS: Linux
low
medium vote
Target Milestone: ---
: ---
Assignee: Mike McCune
QA Contact:
URL:
Whiteboard: sprint_3
Depends On:
Blocks: RHQ_CONT_REPO
TreeView+ depends on / blocked
 
Reported: 2009-12-03 16:22 UTC by Corey Welton
Modified: 2010-03-23 13:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-23 13:51:13 UTC


Attachments (Terms of Use)

Description Corey Welton 2009-12-03 16:22:31 UTC
Description of problem:

After some sort of sync has taken place for a content provider, and all data appears to have come down, status shows as "IN PROGRESS". "Click here to view..." indicates that all content sync has completed.


Version-Release number of selected component (if applicable):


How reproducible:

Everytime, it seems.

Steps to Reproduce:
1.  Create an RHN Content Provider.
2.  Create a repo associated with that content provider and sync it.
3.  Wait a reasonable amount of time time; return to Content Provider page; view status.
  
Actual results:

Status still reads" IN PROGRESS"; "Click here to view" indicates that it's done...

Thu Dec 03 11:20:09 EST 2009: Removing...0
Thu Dec 03 11:20:09 EST 2009: Adding...0
Thu Dec 03 11:20:09 EST 2009: Updating...0
Thu Dec 03 11:20:09 EST 2009: MERGE COMPLETE.


Expected results:
Proper status.


Additional info:
Note that we also get a new status line anytime a repo is synced.  Should we be seeing that status in the CP page as well as the Repo?  I am not sure...

Comment 1 Jay Dobies 2010-02-08 21:07:00 UTC
This should no longer be an issue, moving to ON_QA for testing.

Comment 2 Corey Welton 2010-03-23 13:51:13 UTC
This is essentially untestable now, Closing.


Note You need to log in before you can comment on or make changes to this bug.